Bug 6231 - plain text searching for apt-cache search
: plain text searching for apt-cache search
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/apt)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://lists.altlinux.ru/pipermail/de...
:
:
:
  Show dependency tree
 
Reported: 2005-03-09 11:44 by
Modified: 2013-08-15 17:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-09 11:44:44
> Есть предложение либо перестать использовать "специальные" символы
> в названиях пакетов, либо оторвать жужжалку апту. В смысле сделать
> "умолчательным" search pattern не регексп, а просто строку. И
> добавить ключ, включающий режим "regex".
А кстати, там несложно сделать так, чтобы параметр был и regexp и просто
строка одновременно. Патч на десяток строк (так много из-за идиотизмов в
самом апте)

Т.е. если не оторвать re, а дополнить "простым" поиском, то получится
по-моему даже лучше. Повесь багу на apt, чтобы не забыть. (можно меня в
cc, мне оно интересно)
------- Comment #1 From 2005-11-26 00:42:43 -------
Voins, у тебя, помнится, даже патч был.
Если всё ещё интересно, закинь его сюда.
------- Comment #2 From 2005-11-26 11:10:54 -------
Патч я тогда не доделал. Займусь. Сейчас вроде бы время есть.
------- Comment #3 From 2006-03-30 21:28:02 -------
Voins, время ещё есть?
В любом случае закинь то что есть.
------- Comment #4 From 2013-08-15 17:40:51 -------
apparently wontfix